{% extends '../../base.html'%} {% block main %} {% load static %}

<div style="display: flex" class="position-relative">
  {% include "../../components/quick_access.html" %}
  <div class="container d-flex flex-column">
      <div style="display: flex; justify-content: center; align-items: center">
        <div class="faux-img mb-5 text-center">
          {{ request.user.last_name|slice:":1" }}
          {{request.user.first_name|slice:":1" }}
        </div>
      </div>
      <section  class="table-info w-100 d-flex flex-column flex-lg-row mt-5 mb-2 gap-xl-5 gap-2">
        <section id="client" class="active w-100 d-flex flex-column justify-content-start align-content-center border rounded px-3 py-3">
          <a href="{% url 'edit_profile' %}" class="cursor-pointer d-flex justify-content-evenly align-content-center align-items-center py-1 border-bottom normal-link">
            <h5 class="text-center fw-bold ">Mes inforamtions</h5>
            <i class="fa-solid fa-pen-to-square fs-4 text-success mb-2"></i>
          </a>
            <article>
              <div>
                <span class="fw-bold">Nom :</span><br>
                <span class="color-gray pl-2">{{ user.get_last_name }}</span><br>
              </div>
              <div>
                <span class="fw-bold">Prénom :</span><br>
                <span class="color-gray ml-2">{{ user.get_first_name }}</span><br>
              </div>
              <div>
                <span class="fw-bold">Email :</span><br>
                <span class="color-gray ml-2">{{ user.email }}</span><br>
              </div>
              <div>
                <span class="fw-bold">Téléphone :</span><br>
                {% if user.phone %}
                <span class="color-gray ml-2">{{ user.phone }}</span><br>
                {% else %}
                <span class="color-gray ml-2">Non disponible</span><br>
                {% endif %}
              </div>
              <div>
                <span class="fw-bold">Date de joindre :</span><br>
                <span class="color-gray ml-2">{{ user.date_joined }}</span><br>
              </div>
            </article>
        </section>
        <section id="client" class="active w-100 d-flex flex-column justify-content-start align-content-center border rounded px-3 py-3">
          <a href="{% url 'edit_address' %}" class="cursor-pointer d-flex justify-content-evenly align-content-center align-items-center py-1 border-bottom normal-link">
            <h5 class="text-center fw-bold ">Mon adresse</h5>
            <i class="fa-solid fa-pen-to-square fs-4 text-success mb-2"></i>
          </a>
            <article>
              <div>
                <span class="fw-bold">Numéro de rue :</span><br>
                {% if user.address.rue_number %}
                <span class="color-gray ml-2">{{ user.address.rue_number }}</span><br>
                {% else %}
                <span class="color-gray ml-2">Non disponible</span><br>
                {% endif %}
              </div>
              <div>
                <span class="fw-bold">Nom de rue :</span><br>
                {% if user.address.rue_name %}
                <span class="color-gray ml-2">{{ user.address.rue_name }}</span><br>
                {% else %}
                <span class="color-gray ml-2">Non disponible</span><br>
                {% endif %}
              </div>
              <div>
                <span class="fw-bold">Code postal :</span><br>
                {% if user.address.postal_code %}
                <span class="color-gray ml-2">{{ user.address.postal_code }}</span><br>
                {% else %}
                <span class="color-gray ml-2">Non disponible</span><br>
                {% endif %}
              </div>
              <div>
                <span class="fw-bold">Ville :</span><br>
                {% if user.address.city %}
                <span class="color-gray ml-2">{{ user.address.city }}</span><br>
                {% else %}
                <span class="color-gray ml-2">Non disponible</span><br>
                {% endif %}
              </div>
              <div>
                <span class="fw-bold">Pays:</span><br>
                {% if user.address.country %}
                <span class="color-gray ml-2">{{ user.address.country }}</span><br>
                {% else %}
                <span class="color-gray ml-2">Non disponible</span><br>
                {% endif %}
              </div>
            </article>
        </section>
        <section id="client" class="active w-100 d-flex flex-column justify-content-start align-content-center border rounded px-3 py-3">
          <a href="{% url 'edit_address' %}" class="cursor-pointer d-flex justify-content-evenly align-content-center align-items-center py-1 border-bottom normal-link">
            <h5 class="text-center fw-bold ">Mes listes</h5>
            <i class="fa-solid fa-pen-to-square fs-4 text-success mb-2"></i>
          </a>
            <article>

              <div>
                <span class="fw-bold"><a href="">Liste des réparations</a></span><br>
              </div>
              <div>
                <span class="fw-bold"><a href="">Liste des location</a></span><br>
              </div>

            </article>
        </section>
      </section>
  </div>
</div>
{% endblock main%}
